Debian Bug report logs - #719000
publican: Entities not resolved inside ulink

version graph

Package: publican; Maintainer for publican is Mikhail Gusarov <dottedmag@debian.org>; Source for publican is src:publican.

Reported by: Simon Paillard <spaillard@debian.org>

Date: Wed, 7 Aug 2013 16:06:02 UTC

Severity: normal

Tags: fixed-upstream

Found in versions publican/2.8-3, publican/3.1.5-3

Fixed in version publican/4.0.0-1

Done: Raphaël Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.redhat.com/show_bug.cgi?id=994686

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, spaillard@debian.org, Mikhail Gusarov <dottedmag@debian.org>:
Bug#719000; Package publican. (Wed, 07 Aug 2013 16:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
New Bug report received and forwarded. Copy sent to spaillard@debian.org, Mikhail Gusarov <dottedmag@debian.org>. (Wed, 07 Aug 2013 16:06:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: publican: Entities not resolved inside ulink
Date: Wed, 7 Aug 2013 18:04:16 +0200
[Message part 1 (text/plain, inline)]
Package: publican
Version: 2.8-3
Severity: normal

Dear Maintainer,

While testing publican for Debian release notes, I've noticed a bug that
is a blocker for debian-doc: I cannot get an entity to be resolved
inside ulink, for both default and debian 'brands'.

The entity is correctly resolved :
* inside a paragraph, outside ulink
* when the html output is build using xsltproc and default docbook html xsl

<!ENTITY url-bts "http://bugs.debian.org/">

<para>
        Further information is available in bugs on &url-bts;
        <ulink url="&url-bts;566351">#566351</ulink> and
        <ulink url="&url-bts;545414">#545414</ulink>.
</para>

Find attached a minimal test case (default created project, where Chapter.xml
and entities files are modified).

It fails with 3.1.5-3 in sid chroot too.

Best regards.

-- 
Simon Paillard

-- System Information:
Debian Release: 7.1
  APT prefers stable
  APT policy: (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-4-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages publican depends on:
ii  docbook-xml                           4.5-7.2
ii  docbook-xsl                           1.76.1+dfsg-1
ii  fop                                   1:1.0.dfsg2-6
ii  gettext                               0.18.1.1-9
ii  libarchive-zip-perl                   1.30-6
ii  libconfig-simple-perl                 4.59-6
ii  libdatetime-format-dateparse-perl     0.05-1
ii  libdatetime-perl                      2:0.7500-1
ii  libdbd-sqlite3-perl                   1.37-1
ii  libdbi-perl                           1.622-1
ii  libfile-copy-recursive-perl           0.38-1
ii  libfile-find-rule-perl                0.33-1
ii  libfile-pushd-perl                    1.001-1
ii  libfile-which-perl                    1.09-1
ii  libhtml-format-perl                   2.10-1
ii  libhtml-template-perl                 2.91-1
ii  libhtml-tree-perl                     5.02-1
ii  libimage-size-perl                    3.232-1
ii  libio-string-perl                     1.08-2
ii  liblocale-maketext-gettext-perl       1.28-1
ii  liblocale-po-perl                     0.21-1
ii  libmakefile-parser-perl               0.215-1
ii  librsvg2-bin                          2.36.1-1
ii  libsyntax-highlight-engine-kate-perl  0.05+dfsg-1
ii  libtemplate-perl                      2.24-1
ii  libxml-libxml-perl                    2.0001+dfsg-1
ii  libxml-libxslt-perl                   1.77-1
ii  libxml-simple-perl                    2.20-1
ii  libxml-treebuilder-perl               4.0-1
ii  perl                                  5.14.2-21
ii  perlmagick                            8:6.7.7.10-5

publican recommends no packages.

publican suggests no packages.

-- no debconf information

-- 
Simon Paillard
[Entity_in_ulink.tar.gz (application/octet-stream, attachment)]

Marked as found in versions publican/3.1.5-3. Request was from Simon Paillard <spaillard@mraw.org> to control@bugs.debian.org. (Wed, 07 Aug 2013 16:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mikhail Gusarov <dottedmag@debian.org>:
Bug#719000; Package publican. (Wed, 07 Aug 2013 19:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Mikhail Gusarov <dottedmag@debian.org>. (Wed, 07 Aug 2013 19:06:05 GMT) Full text and rfc822 format available.

Message #12 received at 719000@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Simon Paillard <spaillard@debian.org>, 719000@bugs.debian.org
Subject: Re: Bug#719000: publican: Entities not resolved inside ulink
Date: Wed, 7 Aug 2013 21:03:21 +0200
Control: forwarded -1 https://bugzilla.redhat.com/show_bug.cgi?id=994686

Hi,

On Wed, 07 Aug 2013, Simon Paillard wrote:
> While testing publican for Debian release notes, I've noticed a bug that
> is a blocker for debian-doc: I cannot get an entity to be resolved
> inside ulink, for both default and debian 'brands'.
> 
> The entity is correctly resolved :
> * inside a paragraph, outside ulink
> * when the html output is build using xsltproc and default docbook html xsl

Is that an "OR" or an "AND" between those two items?

Because AFAIK all outputs use xsltproc in some ways, so if the entity
resolution is done by xsltproc, it would be weird to have it work in some
outputs but not others.

Trying with your test case I see no failure (i.e. it builds fine), but the
entity is replaced by an empty string in the href attribute instead of the expected
url, whereas in the paragragh it's replaced by the correct value.

The entity appears fine in the tmp/xml_tmp/Chapter.xml file but it's gone
in tmp/xml/Chapter.xml file so this suggests some problems in the publican
code that cleans up the XML tree.

I forwarded this upstream.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Discover the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Set Bug forwarded-to-address to 'https://bugzilla.redhat.com/show_bug.cgi?id=994686'. Request was from Raphael Hertzog <hertzog@debian.org> to 719000-submit@bugs.debian.org. (Wed, 07 Aug 2013 19:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mikhail Gusarov <dottedmag@debian.org>:
Bug#719000; Package publican. (Wed, 07 Aug 2013 21:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Mikhail Gusarov <dottedmag@debian.org>. (Wed, 07 Aug 2013 21:12:04 GMT) Full text and rfc822 format available.

Message #19 received at 719000@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 719000@bugs.debian.org
Subject: Re: Bug#719000: publican: Entities not resolved inside ulink
Date: Wed, 7 Aug 2013 23:08:36 +0200
Hi,

On Wed, Aug 07, 2013 at 09:03:21PM +0200, Raphael Hertzog wrote:
> Control: forwarded -1 https://bugzilla.redhat.com/show_bug.cgi?id=994686
> 
> On Wed, 07 Aug 2013, Simon Paillard wrote:
> > While testing publican for Debian release notes, I've noticed a bug that
> > is a blocker for debian-doc: I cannot get an entity to be resolved
> > inside ulink, for both default and debian 'brands'.
> > 
> > The entity is correctly resolved :
> > * inside a paragraph, outside ulink
> > * when the html output is build using xsltproc and default docbook html xsl
> 
> Is that an "OR" or an "AND" between those two items?

OR.
I mean that without publican but with default xsl currently used in the docbook
release-notes building, the entity is resolved.
 
> Because AFAIK all outputs use xsltproc in some ways, so if the entity
> resolution is done by xsltproc, it would be weird to have it work in some
> outputs but not others.
> 
> Trying with your test case I see no failure (i.e. it builds fine), but the
> entity is replaced by an empty string in the href attribute instead of the expected
> url, whereas in the paragragh it's replaced by the correct value.
> 
> The entity appears fine in the tmp/xml_tmp/Chapter.xml file but it's gone
> in tmp/xml/Chapter.xml file so this suggests some problems in the publican
> code that cleans up the XML tree.
> 
> I forwarded this upstream.

Thanks Raphael.

-- 
Simon Paillard



Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 19 Dec 2013 19:06:14 GMT) Full text and rfc822 format available.

Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Wed, 05 Feb 2014 23:21:12 GMT) Full text and rfc822 format available.

Notification sent to Simon Paillard <spaillard@debian.org>:
Bug acknowledged by developer. (Wed, 05 Feb 2014 23:21:12 GMT) Full text and rfc822 format available.

Message #26 received at 719000-close@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 719000-close@bugs.debian.org
Subject: Bug#719000: fixed in publican 4.0.0-1
Date: Wed, 05 Feb 2014 23:19:21 +0000
Source: publican
Source-Version: 4.0.0-1

We believe that the bug you reported is fixed in the latest version of
publican, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 719000@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphaël Hertzog <hertzog@debian.org> (supplier of updated publican package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 05 Feb 2014 23:04:27 +0100
Source: publican
Binary: publican
Architecture: source all
Version: 4.0.0-1
Distribution: unstable
Urgency: medium
Maintainer: Mikhail Gusarov <dottedmag@debian.org>
Changed-By: Raphaël Hertzog <hertzog@debian.org>
Description: 
 publican   - Tool for publishing material authored in DocBook XML
Closes: 719000 735356 737461
Changes: 
 publican (4.0.0-1) unstable; urgency=medium
 .
   * New upstream release:
     - properly resolve entities inside ulink. Closes: #719000
     - add_revision --member "foo" works as expected. Closes: #735356
   * Update Build-Depends and Depends according to Build.PL changes.
   * Update Standards-Version to 3.9.5.
   * New patch keep-pi-from-po.patch to keep processing instructions in
     translations.
   * Refresh patch fix-handling-of-screen.patch.
   * Adjust debian/rules perl's invocations to match the default options
     expected by Publican (-CDAS).
   * New patch fix-ftbfs-in-users-guide.patch to allow build of the
     user's guide.
   * Drop executable permissions on .mo files.
   * Ensure C locale when running tests (otherwise failure ensues).
   * Add debian/missing-sources/ with non-minified versions of
     web/jquery-1.7.1.min.js and web/jquery.jcarrousel.min.js files.
     Closes: #737461
Checksums-Sha1: 
 dad51eacfda97f8c27ded72793e7b69aa9c73c4a 2739 publican_4.0.0-1.dsc
 1905a35b91094d8d8ba366df4306ae4d7240d71c 2973688 publican_4.0.0.orig.tar.gz
 663aae6678b3f209f45f5dabbae8d5fbfa6646ee 76912 publican_4.0.0-1.debian.tar.xz
 98268706168af5b08e67c64ba54af919a40e0e31 2984216 publican_4.0.0-1_all.deb
Checksums-Sha256: 
 ba6f799b1bd1d46d8f52b5129a828bffbb1149138a67678613521f9c7fc25faa 2739 publican_4.0.0-1.dsc
 5c3a3b571a7f104414127919b25b7f09a827c50a67bfe0fd5c66899c554c2e24 2973688 publican_4.0.0.orig.tar.gz
 387f551b0c4926eaf85eb06d58fec4c0254b834b07c0c9149c31708069eb33a5 76912 publican_4.0.0-1.debian.tar.xz
 bba92c7092ed6b1c13b0d48253f8114254dd1c454f2cf6dde3778421e3f9872a 2984216 publican_4.0.0-1_all.deb
Files: 
 a1a2a1b84266906de551402d08c231f0 2739 perl optional publican_4.0.0-1.dsc
 88e6f94d8c8ae64d4f49ee7f518d16c0 2973688 perl optional publican_4.0.0.orig.tar.gz
 98c6c6b23cd18e27c56c903be1317a1b 76912 perl optional publican_4.0.0-1.debian.tar.xz
 7823aab9a4353b71eba6e87e3b0baede 2984216 perl optional publican_4.0.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iQEcBAEBCAAGBQJS8sSIAAoJEAOIHavrwpq5ZV0H/2kqPK9pq3Fd2Ulok1ANjj9z
5Ae5F5lFWH1r7NzxrC/NaeeME+TYWeV5i3WBGbaKKlxXH0SjHG36sEyERuBa2cls
Om3tC009MuCcMQK1PsqBeTg87kcJR681qDKE2mLoYeuUXGuqTRbT5IMW6Nefji2N
7oBsq+4newOOLr3zsz3qPiOLnn6DQwSeDyyg0DT+ISxrA168Gy5+NmBZciV7BySk
mPYiXKLCRAp2xjNoqVa6/Iy4X8knkxtIX4ohg5Jr826rjD231V990Hzoyuc/ba8R
kKpWoF2KT81aYyn+B9tCD6kSD15uvxE27cCIcUDc+96VCD2Mxcz0hza+Onqcwl8=
=xS9z
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 11 Mar 2014 07:25:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:31:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.